Bug 64240 - FILEOPEN: DOC import: problem with table formatting (Crystal Reports)
Summary: FILEOPEN: DOC import: problem with table formatting (Crystal Reports)
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.3.3 release
Hardware: x86 (IA32) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:doc
Depends on:
Blocks: DOC-Tables
  Show dependency treegraph
 
Reported: 2013-05-05 15:32 UTC by Konrad
Modified: 2021-04-15 07:18 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
source file (197.18 KB, application/msword)
2013-05-05 15:32 UTC, Konrad
Details
correct view (197.20 KB, application/pdf)
2013-05-05 15:35 UTC, Konrad
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Konrad 2013-05-05 15:32:05 UTC
Created attachment 78882 [details]
source file

When I open "strony prawe.doc":
LO 3.6.4 add empty page but document looks good.
LO 4.0.3 add empty page but third and fourth page is merged.
Comment 1 Konrad 2013-05-05 15:35:01 UTC
Created attachment 78883 [details]
correct view
Comment 2 Mateusz 2013-05-06 09:54:53 UTC
Actually it's RTF file with .doc extension. If you look into file, you'll see

    {\rtf1\ansi\ansicpg1250\deff0\deflang1033{\fonttbl{\f0\fswiss\fcharset238 Arial;}}{\colortbl;\red0\green0\blue0;}{\info{\title }{\author Crystal Reports}{\doccomm Powered By Crystal}{\company Crystal Decisions}}{\*\userprops {\propname Business Objects Context Information}\proptype30

Crystal Decisions is part of SAP AG company.
Comment 3 Thomas van der Meulen 2013-05-08 16:55:35 UTC
Thank you for your bug report, 
I can confuirm that is looking wierd running LibreOffice 4.0.3.3 on Windows 7.
Comment 4 QA Administrators 2015-03-04 02:24:20 UTC Comment hidden (obsolete, spam)
Comment 5 Buovjaga 2015-03-24 17:29:33 UTC
Tables are somehow interpreted as text frames.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI
Comment 6 tommy27 2016-04-16 07:24:06 UTC Comment hidden (obsolete, spam)
Comment 7 QA Administrators 2019-05-14 02:59:48 UTC Comment hidden (obsolete, spam)
Comment 8 Xisco Faulí 2021-04-13 10:05:50 UTC
The issue seems to be fixed in

Version: 7.1.2.2 (x86) / LibreOffice Community
Build ID: 8a45595d069ef5570103caea1b71cc9d82b2aae4
CPU threads: 2; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: Skia/Raster; VCL: win
Locale: es-ES (es_ES); UI: es-ES
Calc: threaded

Closing as RESOLVED WORKSFORME
Comment 9 Timur 2021-04-14 12:01:57 UTC
3 issues here :

1. wrong layout of this 3 page DOC, this bug, resolved long tine ago im LO 4.2 

2. no color frames in MSO becomes white in LO, still problem in 7.2+, another probably existing bug

3. for me slow in Windows but unusable in Linux, high CPU, seems it was always the same, that should be bug 59547, also franes in RTF. 

So let's keep this closed.